diff --git a/changelog b/changelog
index f70de7f..c57088b 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,7 @@
-20120110 tpd src/axiom-website/patches.html 20130110.01.tpd.patch
+20130122 tpd src/axiom-website/patches.html 20130122.01.tpd.patch
+20130122 tpd src/input/Makefile trigtests added
+20130122 tpd src/input/trigtests.input added
+20130110 tpd src/axiom-website/patches.html 20130110.01.tpd.patch
 20120110 tpd books/bookvolbib add Koutschan
 20120106 tpd src/axiom-website/patches.html 20130106.01.tpd.patch
 20130106 tpd books/bookvolbib add Che86
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 557209b..eaefa97 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3945,5 +3945,9 @@ Makefile.pamphlet add mint stanza<br/>
 src/axiom-website/documentation.html
 <a href="patches/20130105.01.tpd.patch">20130105.01.tpd.patch</a>
 src/input/cherry.input added
+<a href="patches/20130110.01.tpd.patch">20130110.01.tpd.patch</a>
+books/bookvolbib add Koutschan
+<a href="patches/20130122.01.tpd.patch">20130122.01.tpd.patch</a>
+src/input/trigtests.input added
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 49f9a1a..0b5ddde 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -400,7 +400,7 @@ REGRESSTESTS= ackermann.regress \
     test.regress      testpackage.regress \
     testprob.regress  textfile.regress torus.regress    tuplebug.regress \
     tpiezas001.regress \
-    tpiezas002.regress \
+    tpiezas002.regress trigtests.regress \
     triglim.regress   tsetcatvermeer.regress            tutchap1.regress \
     typetower.regress void.regress      uniseg.regress \
     unittest1.regress unittest2.regress unittest3.regress unittest4.regress \
@@ -808,7 +808,7 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/tetra.input    ${OUT}/textfile.input   ${OUT}/tknot.input \
        ${OUT}/tpiezas001.input \
        ${OUT}/tpiezas002.input \
-       ${OUT}/tree.input \
+       ${OUT}/tree.input ${OUT}/trigtests.input \
        ${OUT}/triglim.input  ${OUT}/tschirn.input ${OUT}/tsetcatbutcher.input \
        ${OUT}/tsetcatchemical.input ${OUT}/tsetcatvermeer.input \
        ${OUT}/tuplebug.input \
@@ -1271,7 +1271,7 @@ DOCFILES= \
   ${DOC}/testprob.input.dvi   \
   ${DOC}/tpiezas001.input.dvi \
   ${DOC}/tpiezas002.input.dvi \
-  ${DOC}/tree.input.dvi       \
+  ${DOC}/tree.input.dvi        ${DOC}/trigtests.input.dvi \
   ${DOC}/triglim.input.dvi     ${DOC}/tschirn.input.dvi    \
   ${DOC}/tsetcatbutcher.input.dvi    \
   ${DOC}/tsetcatchemical.input.dvi   \
diff --git a/src/input/trigtests.input.pamphlet b/src/input/trigtests.input.pamphlet
new file mode 100644
index 0000000..da3cc78
--- /dev/null
+++ b/src/input/trigtests.input.pamphlet
@@ -0,0 +1,1102 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input trigtests.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f trigtests.output
+)spool trigtests.output
+)set message test on
+)set message auto off
+)clear all
+
+-------------------------------------
+-- Definition of Hyperbolic Functions
+-------------------------------------
+
+-- Hyperbolic sine of x, p26, 8.1
+--S 1 of 89
+t01:= sinh(x) - (exp(x)-exp(-x))/2
+--R 
+--R
+--R                     x     - x
+--R        2sinh(x) - %e  + %e
+--R   (1)  ----------------------
+--R                   2
+--R                                                    Type: Expression(Integer)
+--E 1
+
+-- Hyperbolic cosine of x, p26, 8.2
+--S 2 of 89
+t02:= cosh(x) - (exp(x)+exp(-x))/2
+--R 
+--R
+--R            x     - x
+--R        - %e  - %e    + 2cosh(x)
+--R   (2)  ------------------------
+--R                    2
+--R                                                    Type: Expression(Integer)
+--E 2
+
+-- Hyperbolic tangent of x, p26, 8.3
+--S 3 of 89
+t03:= tanh(x) - (exp(x)-exp(-x))/(exp(x)+exp(-x))
+--R 
+--R
+--R           x     - x             x     - x
+--R        (%e  + %e   )tanh(x) - %e  + %e
+--R   (3)  ----------------------------------
+--R                      x     - x
+--R                    %e  + %e
+--R                                                    Type: Expression(Integer)
+--E 3
+
+-- Hyperbolic cotangent of x, p26, 8.4
+--S 4 of 89
+t04:= coth(x) - (exp(x)+exp(-x))/(exp(x)-exp(-x))
+--R 
+--R
+--R                       x                    - x
+--R        (coth(x) - 1)%e  + (- coth(x) - 1)%e
+--R   (4)  ---------------------------------------
+--R                        x     - x
+--R                      %e  - %e
+--R                                                    Type: Expression(Integer)
+--E 4
+
+-- Hyperbolic secant of x, p26, 8.5
+--S 5 of 89
+t05:= sech(x) - 2/(exp(x)+exp(-x))
+--R 
+--R
+--R           x     - x
+--R        (%e  + %e   )sech(x) - 2
+--R   (5)  ------------------------
+--R                 x     - x
+--R               %e  + %e
+--R                                                    Type: Expression(Integer)
+--E 5
+
+-- Hyperbolic cosecant of x, p26, 8.6
+--S 6 of 89
+t06:= csch(x) - 2/(exp(x)-exp(-x))
+--R 
+--R
+--R                 x            - x
+--R        csch(x)%e  - csch(x)%e    - 2
+--R   (6)  -----------------------------
+--R                   x     - x
+--R                 %e  - %e
+--R                                                    Type: Expression(Integer)
+--E 6
+
+-------------------------------------------
+-- Relationships among Hyperbolic Functions
+-------------------------------------------
+
+-- Hyperbolic tangent of x, p26, 8.7
+--S 7 of 89
+t07:= tanh(x) - sinh(x)/cosh(x)
+--R 
+--R
+--R        cosh(x)tanh(x) - sinh(x)
+--R   (7)  ------------------------
+--R                 cosh(x)
+--R                                                    Type: Expression(Integer)
+--E 7
+
+-- Hyperbolic cotangent of x, p26, 8.8
+--S 8 of 89
+t08:= coth(x) - 1/tanh(x)
+--R 
+--R
+--R        coth(x)tanh(x) - 1
+--R   (8)  ------------------
+--R              tanh(x)
+--R                                                    Type: Expression(Integer)
+--E 8
+
+-- Hyperbolic cotangent of x, p26, 8.8
+--S 9 of 89
+t09:= coth(x) - cosh(x)/sinh(x)
+--R 
+--R
+--R        coth(x)sinh(x) - cosh(x)
+--R   (9)  ------------------------
+--R                 sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 9
+
+-- Hyperbolic secant of x, p26, 8.9
+--S 10 of 89
+t10:= sech(x) - 1/cosh(x)
+--R 
+--R
+--R         cosh(x)sech(x) - 1
+--R   (10)  ------------------
+--R               cosh(x)
+--R                                                    Type: Expression(Integer)
+--E 10
+
+-- Hyperbolic cosecant of x, p26, 8.10
+--S 11 of 89
+t11:= csch(x) - 1/sinh(x)
+--R 
+--R
+--R         csch(x)sinh(x) - 1
+--R   (11)  ------------------
+--R               sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 11
+
+-- p26, 8.11
+--S 12 of 89
+t12:= cosh(x)^2-sinh(x)^2 - 1
+--R 
+--R
+--R                  2          2
+--R   (12)  - sinh(x)  + cosh(x)  - 1
+--R                                                    Type: Expression(Integer)
+--E 12
+
+-- p26, 8.12
+--S 13 of 89
+t13:= sech(x)^2+tanh(x)^2 - 1
+--R 
+--R
+--R                2          2
+--R   (13)  tanh(x)  + sech(x)  - 1
+--R                                                    Type: Expression(Integer)
+--E 13
+
+-- p26, 8.13
+--S 14 of 89
+t14:= coth(x)^2-csch(x)^2 - 1
+--R 
+--R
+--R                  2          2
+--R   (14)  - csch(x)  + coth(x)  - 1
+--R                                                    Type: Expression(Integer)
+--E 14
+
+----------------------------------
+-- Functions of Negative Arguments
+----------------------------------
+
+-- p26, 8.14
+--S 15 of 89
+t15:= sinh(-x) - (-sinh(x))
+--R 
+--R
+--R   (15)  0
+--R                                                    Type: Expression(Integer)
+--E 15
+
+-- p26, 8.15
+--S 16 of 89
+t16:= cosh(-x) - cosh(x)
+--R 
+--R
+--R   (16)  0
+--R                                                    Type: Expression(Integer)
+--E 16
+
+-- p26, 8.16
+--S 17 of 89
+t17:= tanh(-x) - (-tanh(x))
+--R 
+--R
+--R   (17)  0
+--R                                                    Type: Expression(Integer)
+--E 17
+
+-- p26, 8.17
+--S 18 of 89
+t18:= csch(-x) - (-csch(x))
+--R 
+--R
+--R   (18)  0
+--R                                                    Type: Expression(Integer)
+--E 18
+
+-- p26, 8.18
+--S 19 of 89
+t19:= sech(-x) - sech(x)
+--R 
+--R
+--R   (19)  0
+--R                                                    Type: Expression(Integer)
+--E 19
+
+-- p26, 8.19
+--S 20 of 89
+t20:= coth(-x) - (-coth(x))
+--R 
+--R
+--R   (20)  0
+--R                                                    Type: Expression(Integer)
+--E 20
+
+--------------------
+-- Addition Formulas
+--------------------
+
+-- p27, 8.20
+--S 21 of 89
+t21:= sinh(x+y) - sinh(x)*cosh(y)+cosh(x)*sinh(y)
+--R 
+--R
+--R   (21)  sinh(y + x) + cosh(x)sinh(y) - cosh(y)sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 21
+
+--S 22 of 89
+t22:= sinh(x-y) - sinh(x)*cosh(y)-cosh(x)*sinh(y)
+--R 
+--R
+--R   (22)  - cosh(x)sinh(y) - sinh(y - x) - cosh(y)sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 22
+
+-- p27, 8.21
+--S 23 of 89
+t23:= cosh(x+y) - cosh(x)*cosh(y)+sinh(x)*sinh(y)
+--R 
+--R
+--R   (23)  sinh(x)sinh(y) + cosh(y + x) - cosh(x)cosh(y)
+--R                                                    Type: Expression(Integer)
+--E 23
+
+--S 24 of 89
+t24:= cosh(x-y) - cosh(x)*cosh(y)-sinh(x)*sinh(y)
+--R 
+--R
+--R   (24)  - sinh(x)sinh(y) - cosh(x)cosh(y) + cosh(y - x)
+--R                                                    Type: Expression(Integer)
+--E 24
+
+-- p27, 8.22
+--S 25 of 89
+t25:= tanh(x+y) - (tanh(x)+tanh(y))/(1+tanh(x)*tanh(y))
+--R 
+--R
+--R         (tanh(x)tanh(y) + 1)tanh(y + x) - tanh(y) - tanh(x)
+--R   (25)  ---------------------------------------------------
+--R                          tanh(x)tanh(y) + 1
+--R                                                    Type: Expression(Integer)
+--E 25
+
+--S 26 of 89
+t26:= tanh(x-y) - (tanh(x)-tanh(y))/(1-tanh(x)*tanh(y))
+--R 
+--R
+--R         (- tanh(x)tanh(y - x) - 1)tanh(y) + tanh(y - x) + tanh(x)
+--R   (26)  ---------------------------------------------------------
+--R                             tanh(x)tanh(y) - 1
+--R                                                    Type: Expression(Integer)
+--E 26
+
+-- p27, 8.23
+--S 27 of 89
+t27:= coth(x+y) - (coth(x)*coth(y)+1)/(coth(y)+coth(x))
+--R 
+--R
+--R         (coth(y) + coth(x))coth(y + x) - coth(x)coth(y) - 1
+--R   (27)  ---------------------------------------------------
+--R                          coth(y) + coth(x)
+--R                                                    Type: Expression(Integer)
+--E 27
+
+--S 28 of 89
+t28:= coth(x-y) - (coth(x)*coth(y)-1)/(coth(y)-coth(x))
+--R 
+--R
+--R         (- coth(y - x) - coth(x))coth(y) + coth(x)coth(y - x) + 1
+--R   (28)  ---------------------------------------------------------
+--R                             coth(y) - coth(x)
+--R                                                    Type: Expression(Integer)
+--E 28
+
+------------------------
+-- Double Angle Formulas
+------------------------
+
+-- p27, 8.24
+--S 29 of 89
+t29:= sinh(2*x) - 2*sinh(x)*cosh(x)
+--R 
+--R
+--R   (29)  sinh(2x) - 2cosh(x)sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 29
+
+-- p27, 8.25
+--S 30 of 89
+t30:= cosh(2*x) - cosh(x)^2+sinh(x)^2
+--R 
+--R
+--R                2                     2
+--R   (30)  sinh(x)  + cosh(2x) - cosh(x)
+--R                                                    Type: Expression(Integer)
+--E 30
+
+--S 31 of 89
+t31:= cosh(2*x) - 2*cosh(x)^2-1
+--R 
+--R
+--R                            2
+--R   (31)  cosh(2x) - 2cosh(x)  - 1
+--R                                                    Type: Expression(Integer)
+--E 31
+
+--S 32 of 89
+t32:= cosh(2*x) - 1+2*sinh(x)^2
+--R 
+--R
+--R                 2
+--R   (32)  2sinh(x)  + cosh(2x) - 1
+--R                                                    Type: Expression(Integer)
+--E 32
+
+-- p27, 8.26
+--S 33 of 89
+t33:= tanh(2*x) - (2*tanh(x))/(1+tanh(x)^2)
+--R 
+--R
+--R                 2
+--R         (tanh(x)  + 1)tanh(2x) - 2tanh(x)
+--R   (33)  ---------------------------------
+--R                           2
+--R                    tanh(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 33
+
+----------------------
+-- Half Angle Formulas
+----------------------
+
+-- p27, 8.27, assume x > 0
+--S 34 of 89
+t34:= sinh(x/2) - sqrt((cosh(x)-1)/2)
+--R 
+--R
+--R            +-----------+    +-+     x
+--R         - \|cosh(x) - 1  + \|2 sinh(-)
+--R                                     2
+--R   (34)  ------------------------------
+--R                       +-+
+--R                      \|2
+--R                                                    Type: Expression(Integer)
+--E 34
+
+-- p27, 8.27, assume x < 0
+--S 35 of 89
+t35:= sinh(x/2) - (-sqrt((cosh(x)-1)/2))
+--R 
+--R
+--R          +-----------+    +-+     x
+--R         \|cosh(x) - 1  + \|2 sinh(-)
+--R                                   2
+--R   (35)  ----------------------------
+--R                      +-+
+--R                     \|2
+--R                                                    Type: Expression(Integer)
+--E 35
+
+-- p27, 8.28
+--S 36 of 89
+t36:= cosh(x/2) - sqrt((cosh(x)+1)/2)
+--R 
+--R
+--R            +-----------+    +-+     x
+--R         - \|cosh(x) + 1  + \|2 cosh(-)
+--R                                     2
+--R   (36)  ------------------------------
+--R                       +-+
+--R                      \|2
+--R                                                    Type: Expression(Integer)
+--E 36
+
+-- p27, 8.29, assume x > 0
+--S 37 of 89
+t37:= tanh(x/2) - sqrt((cosh(x)-1)/(cosh(x)+1))
+--R 
+--R
+--R            +-----------+
+--R            |cosh(x) - 1         x
+--R   (37)  -  |-----------  + tanh(-)
+--R           \|cosh(x) + 1         2
+--R                                                    Type: Expression(Integer)
+--E 37
+
+-- p27, 8.29, assume x < 0
+--S 38 of 89
+t38:= tanh(x/2) - (-sqrt((cosh(x)-1)/(cosh(x)+1)))
+--R 
+--R
+--R          +-----------+
+--R          |cosh(x) - 1         x
+--R   (38)   |-----------  + tanh(-)
+--R         \|cosh(x) + 1         2
+--R                                                    Type: Expression(Integer)
+--E 38
+
+-- p27, 8.29
+--S 39 of 89
+t39:= tanh(x/2) - sinh(x)/(cosh(x)+1)
+--R 
+--R
+--R                           x
+--R         (cosh(x) + 1)tanh(-) - sinh(x)
+--R                           2
+--R   (39)  ------------------------------
+--R                   cosh(x) + 1
+--R                                                    Type: Expression(Integer)
+--E 39
+
+-- p27, 8.29
+--S 40 of 89
+t40:= tanh(x/2) - (cosh(x)-1)/sinh(x)
+--R 
+--R
+--R                     x
+--R         sinh(x)tanh(-) - cosh(x) + 1
+--R                     2
+--R   (40)  ----------------------------
+--R                    sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 40
+
+--------------------------
+-- Multiple Angle Formulas
+--------------------------
+
+-- p27, 8.30
+--S 41 of 89
+t41:= sinh(3*x) - 3*sinh(x)+4*sinh(x)^3
+--R 
+--R
+--R                            3
+--R   (41)  sinh(3x) + 4sinh(x)  - 3sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 41
+
+-- p27, 8.31
+--S 42 of 89
+t42:= cosh(3*x) - 4*cosh(x)^3-3*cosh(x)
+--R 
+--R
+--R                            3
+--R   (42)  cosh(3x) - 4cosh(x)  - 3cosh(x)
+--R                                                    Type: Expression(Integer)
+--E 42
+
+-- p27, 8.32
+--S 43 of 89
+t43:= tanh(3*x) - (3*tanh(x)+tanh(x)^3)/(1+3*tanh(x)^2)
+--R 
+--R
+--R                  2                       3
+--R         (3tanh(x)  + 1)tanh(3x) - tanh(x)  - 3tanh(x)
+--R   (43)  ---------------------------------------------
+--R                                 2
+--R                         3tanh(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 43
+
+-- p27, 8.33
+--S 44 of 89
+t44:= sinh(4*x) - 8*sinh(x)^3*cosh(x)+4*sinh(x)*cosh(x)
+--R 
+--R
+--R                                   3
+--R   (44)  sinh(4x) - 8cosh(x)sinh(x)  + 4cosh(x)sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 44
+
+-- p27, 8.34
+--S 45 of 89
+t45:= cosh(4*x) - 8*cosh(x)^4-8*cosh(x)^2+1
+--R 
+--R
+--R                            4           2
+--R   (45)  cosh(4x) - 8cosh(x)  - 8cosh(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 45
+
+-- p27, 8.35
+--S 46 of 89
+t46:= tanh(4*x) - (4*tanh(x)+4*tanh(x)^3)/(1+6*tanh(x)^2+tanh(x)^4)
+--R 
+--R
+--R                 4           2                        3
+--R         (tanh(x)  + 6tanh(x)  + 1)tanh(4x) - 4tanh(x)  - 4tanh(x)
+--R   (46)  ---------------------------------------------------------
+--R                                 4           2
+--R                          tanh(x)  + 6tanh(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 46
+
+---------------------------------
+-- Powers of Hyperbolic Functions
+---------------------------------
+
+-- p28, 8.36
+--S 47 of 89
+t47:= sinh(x)^2 - cosh(2*x)/2-1/2
+--R 
+--R
+--R                 2
+--R         2sinh(x)  - cosh(2x) - 1
+--R   (47)  ------------------------
+--R                     2
+--R                                                    Type: Expression(Integer)
+--E 47
+
+-- p28, 8.37
+--S 48 of 89
+t48:= cosh(x)^2 - cosh(2*x)/2+1/2
+--R 
+--R
+--R                              2
+--R         - cosh(2x) + 2cosh(x)  + 1
+--R   (48)  --------------------------
+--R                      2
+--R                                                    Type: Expression(Integer)
+--E 48
+
+-- p28, 8.38
+--S 49 of 89
+t49:= sinh(x)^3 - sinh(3*x)/4-3*sinh(x)/4
+--R 
+--R
+--R                              3
+--R         - sinh(3x) + 4sinh(x)  - 3sinh(x)
+--R   (49)  ---------------------------------
+--R                         4
+--R                                                    Type: Expression(Integer)
+--E 49
+
+-- p28, 8.39
+--S 50 of 89
+t50:= cosh(x)^3 - cosh(3*x)/4+3*cosh(x)/4
+--R 
+--R
+--R                              3
+--R         - cosh(3x) + 4cosh(x)  + 3cosh(x)
+--R   (50)  ---------------------------------
+--R                         4
+--R                                                    Type: Expression(Integer)
+--E 50
+
+-- p28, 8.40
+--S 51 of 89
+t51:= sinh(x)^4 - 3/8-cosh(2*x)/2+cosh(4*x)/8
+--R 
+--R
+--R                 4
+--R         8sinh(x)  + cosh(4x) - 4cosh(2x) - 3
+--R   (51)  ------------------------------------
+--R                           8
+--R                                                    Type: Expression(Integer)
+--E 51
+
+-- p28, 8.41
+--S 52 of 89
+t52:= cosh(x)^4 - 3/8+cosh(2*x)/2+cosh(4*x)/8
+--R 
+--R
+--R                                        4
+--R         cosh(4x) + 4cosh(2x) + 8cosh(x)  - 3
+--R   (52)  ------------------------------------
+--R                           8
+--R                                                    Type: Expression(Integer)
+--E 52
+
+-------------------------------------------------------
+--- Sum, Difference and Product of Hyperbolic Functions
+-------------------------------------------------------
+
+-- p28, 8.42
+--S 53 of 89
+t53:= sinh(x)+sinh(y) - 2*sinh((x+y)/2)*cosh((x-y)/2)
+--R 
+--R
+--R                         y - x      y + x
+--R   (53)  sinh(y) - 2cosh(-----)sinh(-----) + sinh(x)
+--R                           2          2
+--R                                                    Type: Expression(Integer)
+--E 53
+
+-- p28, 8.43
+--S 54 of 89
+t54:= sinh(x)-sinh(y) - 2*cosh((x+y)/2)*sinh((x-y)/2)
+--R 
+--R
+--R                           y + x      y - x
+--R   (54)  - sinh(y) + 2cosh(-----)sinh(-----) + sinh(x)
+--R                             2          2
+--R                                                    Type: Expression(Integer)
+--E 54
+
+-- p28, 8.44
+--S 55 of 89
+t55:= cosh(x)+cosh(y) - 2*cosh((x+y)/2)*cosh((x-y)/2)
+--R 
+--R
+--R                         y - x      y + x
+--R   (55)  cosh(y) - 2cosh(-----)cosh(-----) + cosh(x)
+--R                           2          2
+--R                                                    Type: Expression(Integer)
+--E 55
+
+-- p28, 8.45
+--S 56 of 89
+t56:= cosh(x)-cosh(y) - 2*sinh((x+y)/2)*sinh((x-y)/2)
+--R 
+--R
+--R               y - x      y + x
+--R   (56)  2sinh(-----)sinh(-----) - cosh(y) + cosh(x)
+--R                 2          2
+--R                                                    Type: Expression(Integer)
+--E 56
+
+-- p28, 8.46
+--S 57 of 89
+t57:= sinh(x)*sinh(y) - (cosh(x+y)-cosh(x-y))/2
+--R 
+--R
+--R         2sinh(x)sinh(y) - cosh(y + x) + cosh(y - x)
+--R   (57)  -------------------------------------------
+--R                              2
+--R                                                    Type: Expression(Integer)
+--E 57
+
+-- p28, 8.47
+--S 58 of 89
+t58:= cosh(x)*cosh(y) - (cosh(x+y)+cosh(x-y))/2
+--R 
+--R
+--R         - cosh(y + x) + 2cosh(x)cosh(y) - cosh(y - x)
+--R   (58)  ---------------------------------------------
+--R                               2
+--R                                                    Type: Expression(Integer)
+--E 58
+
+-- p28, 8.48
+--S 59 of 89
+t59:= sinh(x)*cosh(y) - (sinh(x+y)+sinh(x-y))/2
+--R 
+--R
+--R         - sinh(y + x) + sinh(y - x) + 2cosh(y)sinh(x)
+--R   (59)  ---------------------------------------------
+--R                               2
+--R                                                    Type: Expression(Integer)
+--E 59
+
+--------------------------------------------------------
+-- Expression of Hyperbolic Functions in terms of others
+--------------------------------------------------------
+
+-- p28, table
+--S 60 of 89
+t60:= sinh(x) - sqrt(cosh(x)-1)
+--R 
+--R
+--R            +-----------+
+--R   (60)  - \|cosh(x) - 1  + sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 60
+
+--S 61 of 89
+t61:= sinh(x) - tanh(x)/sqrt(1-tanh(x)^2)
+--R 
+--R
+--R                 +--------------+
+--R                 |         2
+--R         sinh(x)\|- tanh(x)  + 1  - tanh(x)
+--R   (61)  ----------------------------------
+--R                   +--------------+
+--R                   |         2
+--R                  \|- tanh(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 61
+
+--S 62 of 89
+t62:= sinh(x) - 1/sqrt(coth(x)^2-1)
+--R 
+--R
+--R                 +------------+
+--R                 |       2
+--R         sinh(x)\|coth(x)  - 1  - 1
+--R   (62)  --------------------------
+--R                +------------+
+--R                |       2
+--R               \|coth(x)  - 1
+--R                                                    Type: Expression(Integer)
+--E 62
+
+--S 63 of 89
+t63:= sinh(x) - sqrt(1-sech(x)^2)/sech(x)
+--R 
+--R
+--R            +--------------+
+--R            |         2
+--R         - \|- sech(x)  + 1  + sech(x)sinh(x)
+--R   (63)  ------------------------------------
+--R                        sech(x)
+--R                                                    Type: Expression(Integer)
+--E 63
+
+--S 64 of 89
+t64:= sinh(x) - 1/csch(x)
+--R 
+--R
+--R         csch(x)sinh(x) - 1
+--R   (64)  ------------------
+--R               csch(x)
+--R                                                    Type: Expression(Integer)
+--E 64
+
+--S 65 of 89
+t65:= cosh(x) - sqrt(1+sinh(x)^2)
+--R 
+--R
+--R            +------------+
+--R            |       2
+--R   (65)  - \|sinh(x)  + 1  + cosh(x)
+--R                                                    Type: Expression(Integer)
+--E 65
+
+--S 66 of 89
+t66:= cosh(x) - 1/sqrt(1-tanh(x)^2)
+--R 
+--R
+--R                 +--------------+
+--R                 |         2
+--R         cosh(x)\|- tanh(x)  + 1  - 1
+--R   (66)  ----------------------------
+--R                +--------------+
+--R                |         2
+--R               \|- tanh(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 66
+
+--S 67 of 89
+t67:= cosh(x) - coth(x)/sqrt(coth(x)^2-1)
+--R 
+--R
+--R                 +------------+
+--R                 |       2
+--R         cosh(x)\|coth(x)  - 1  - coth(x)
+--R   (67)  --------------------------------
+--R                   +------------+
+--R                   |       2
+--R                  \|coth(x)  - 1
+--R                                                    Type: Expression(Integer)
+--E 67
+
+--S 68 of 89
+t68:= cosh(x) - 1/sech(x)
+--R 
+--R
+--R         cosh(x)sech(x) - 1
+--R   (68)  ------------------
+--R               sech(x)
+--R                                                    Type: Expression(Integer)
+--E 68
+
+--S 69 of 89
+t69:= cosh(x) - sqrt(1+csch(x)^2)/csch(x)
+--R 
+--R
+--R            +------------+
+--R            |       2
+--R         - \|csch(x)  + 1  + cosh(x)csch(x)
+--R   (69)  ----------------------------------
+--R                       csch(x)
+--R                                                    Type: Expression(Integer)
+--E 69
+
+--S 70 of 89
+t70:= tanh(x) - sinh(x)/sqrt(1+sinh(x)^2)
+--R 
+--R
+--R                 +------------+
+--R                 |       2
+--R         tanh(x)\|sinh(x)  + 1  - sinh(x)
+--R   (70)  --------------------------------
+--R                   +------------+
+--R                   |       2
+--R                  \|sinh(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 70
+
+--S 71 of 89
+t71:= tanh(x) - sqrt(cosh(x)^2-1)/cosh(x)
+--R 
+--R
+--R            +------------+
+--R            |       2
+--R         - \|cosh(x)  - 1  + cosh(x)tanh(x)
+--R   (71)  ----------------------------------
+--R                       cosh(x)
+--R                                                    Type: Expression(Integer)
+--E 71
+
+--S 72 of 89
+t72:= tanh(x) - 1/coth(x)
+--R 
+--R
+--R         coth(x)tanh(x) - 1
+--R   (72)  ------------------
+--R               coth(x)
+--R                                                    Type: Expression(Integer)
+--E 72
+
+--S 73 of 89
+t73:= tanh(x) - sqrt(1-sech(x)^2)
+--R 
+--R
+--R            +--------------+
+--R            |         2
+--R   (73)  - \|- sech(x)  + 1  + tanh(x)
+--R                                                    Type: Expression(Integer)
+--E 73
+
+--S 74 of 89
+t74:= tanh(x) - 1/sqrt(1+csch(x)^2)
+--R 
+--R
+--R                 +------------+
+--R                 |       2
+--R         tanh(x)\|csch(x)  + 1  - 1
+--R   (74)  --------------------------
+--R                +------------+
+--R                |       2
+--R               \|csch(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 74
+
+--S 75 of 89
+t75:= coth(x) - sqrt(sinh(x)^2+1)/sinh(x)
+--R 
+--R
+--R            +------------+
+--R            |       2
+--R         - \|sinh(x)  + 1  + coth(x)sinh(x)
+--R   (75)  ----------------------------------
+--R                       sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 75
+
+--S 76 of 89
+t76:= coth(x) - cosh(x)/sqrt(cosh(x)^2-1)
+--R 
+--R
+--R                 +------------+
+--R                 |       2
+--R         coth(x)\|cosh(x)  - 1  - cosh(x)
+--R   (76)  --------------------------------
+--R                   +------------+
+--R                   |       2
+--R                  \|cosh(x)  - 1
+--R                                                    Type: Expression(Integer)
+--E 76
+
+--S 77 of 89
+t77:= coth(x) - 1/tanh(x)
+--R 
+--R
+--R         coth(x)tanh(x) - 1
+--R   (77)  ------------------
+--R               tanh(x)
+--R                                                    Type: Expression(Integer)
+--E 77
+
+--S 78 of 89
+t78:= coth(x) - 1/sqrt(1-sech(x)^2)
+--R 
+--R
+--R                 +--------------+
+--R                 |         2
+--R         coth(x)\|- sech(x)  + 1  - 1
+--R   (78)  ----------------------------
+--R                +--------------+
+--R                |         2
+--R               \|- sech(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 78
+
+--S 79 of 89
+t79:= coth(x) - sqrt(1+csch(x)^2)
+--R 
+--R
+--R            +------------+
+--R            |       2
+--R   (79)  - \|csch(x)  + 1  + coth(x)
+--R                                                    Type: Expression(Integer)
+--E 79
+
+--S 80 of 89
+t80:= sech(x) - 1/sqrt(1+sinh(x)^2)
+--R 
+--R
+--R                 +------------+
+--R                 |       2
+--R         sech(x)\|sinh(x)  + 1  - 1
+--R   (80)  --------------------------
+--R                +------------+
+--R                |       2
+--R               \|sinh(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 80
+
+--S 81 of 89
+t81:= sech(x) - 1/cosh(x)
+--R 
+--R
+--R         cosh(x)sech(x) - 1
+--R   (81)  ------------------
+--R               cosh(x)
+--R                                                    Type: Expression(Integer)
+--E 81
+
+--S 82 of 89
+t82:= sech(x) - sqrt(1-tanh(x)^2)
+--R 
+--R
+--R            +--------------+
+--R            |         2
+--R   (82)  - \|- tanh(x)  + 1  + sech(x)
+--R                                                    Type: Expression(Integer)
+--E 82
+
+--S 83 of 89
+t83:= sech(x) - sqrt(coth(x)^2-1)/coth(x)
+--R 
+--R
+--R            +------------+
+--R            |       2
+--R         - \|coth(x)  - 1  + coth(x)sech(x)
+--R   (83)  ----------------------------------
+--R                       coth(x)
+--R                                                    Type: Expression(Integer)
+--E 83
+
+--S 84 of 89
+t84:= sech(x) - csch(x)/sqrt(1+csch(x)^2)
+--R 
+--R
+--R                 +------------+
+--R                 |       2
+--R         sech(x)\|csch(x)  + 1  - csch(x)
+--R   (84)  --------------------------------
+--R                   +------------+
+--R                   |       2
+--R                  \|csch(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 84
+
+--S 85 of 89
+t85:= csch(x) - 1/sinh(x)
+--R 
+--R
+--R         csch(x)sinh(x) - 1
+--R   (85)  ------------------
+--R               sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 85
+
+--S 86 of 89
+t86:= csch(x) - 1/sqrt(cosh(x)^2-1)
+--R 
+--R
+--R                 +------------+
+--R                 |       2
+--R         csch(x)\|cosh(x)  - 1  - 1
+--R   (86)  --------------------------
+--R                +------------+
+--R                |       2
+--R               \|cosh(x)  - 1
+--R                                                    Type: Expression(Integer)
+--E 86
+
+--S 87 of 89
+t87:= csch(x) - sqrt(1-tanh(x)^2)/tanh(x)
+--R 
+--R
+--R            +--------------+
+--R            |         2
+--R         - \|- tanh(x)  + 1  + csch(x)tanh(x)
+--R   (87)  ------------------------------------
+--R                        tanh(x)
+--R                                                    Type: Expression(Integer)
+--E 87
+
+--S 88 of 89
+t88:= csch(x) - sqrt(coth(x)^2-1)
+--R 
+--R
+--R            +------------+
+--R            |       2
+--R   (88)  - \|coth(x)  - 1  + csch(x)
+--R                                                    Type: Expression(Integer)
+--E 88
+
+--S 89 of 89
+t89:= csch(x) - sech(x)/sqrt(1-sech(x)^2)
+--R 
+--R
+--R                 +--------------+
+--R                 |         2
+--R         csch(x)\|- sech(x)  + 1  - sech(x)
+--R   (89)  ----------------------------------
+--R                   +--------------+
+--R                   |         2
+--R                  \|- sech(x)  + 1
+--R                                                    Type: Expression(Integer)
+--E 89
+
+--
+-- 
+-- sec(x)-1/cos(x)
+-- csc(x)-1/sin(x)
+-- cot(x)-1/tan(x)
+--
+-- asin(x)-atan(x/sqrt(1-xx))
+-- acos(x)-(%pi/2-asin(x))
+-- asec(x)-atan(sqrt(x*x-1))+(sign(x)-1)*%pi/2
+-- acos(x)-atan(1/(sqrt(x*x-1))+(sign(x)-1)*%pi/2
+-- acot(x)+atan(x)+%pi/2
+--
+-- asinh(x)-log(x+sqrt(xx+1))
+-- acosh(x)-log(x+sqrt(xx-1))
+-- atanh(x)-log((1+x)/(1-x))/2
+--
+-- asech(x)-log((sqrt(1-xx)-1)/x)
+-- acosh(x)-log(1+sign(x)*sqrt(1+x*x))/x
+-- acoth(x)-log((x+1)/(x-1))/2
+--
+-- log(x)=log(x)/log(10)
+-- pi-4*atan(1)
+--
+-- sin(14885392687.0) -- should be 1.671 x 10^10 maybe use MPFR?
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
+
+ 
